Page MenuHomePhabricator

[unplanned] Notifications box is not well located in RTL wikis
Closed, ResolvedPublic

Description

In RTL wikis (in vector skin), the notifications box is not well located. It can be fixed by changing the CSS property "right" in the class "mw-echo-overlay:before" from 193px to 230px. See the local fixing on the Hebrew Wikibooks.

Event Timeline

Guycn2 created this task.Dec 11 2014, 8:14 PM
Guycn2 raised the priority of this task from to Needs Triage.
Guycn2 updated the task description. (Show Details)
Guycn2 changed Security from none to None.
Guycn2 updated the task description. (Show Details)
Guycn2 added a subscriber: Guycn2.
Krenair added a subscriber: Krenair.

Do not file Phabricator reports without associating at least one project.

Guycn2 updated the task description. (Show Details)Dec 12 2014, 3:45 PM
Guycn2 updated the task description. (Show Details)
Guycn2 removed a subscriber: Guycn2.
Guycn2 added a subscriber: Guycn2.
Guycn2 updated the task description. (Show Details)Dec 12 2014, 3:48 PM
Amire80 claimed this task.Jan 4 2015, 9:07 AM
Amire80 triaged this task as Normal priority.

This happens in Monobook, too, so the workaround should be in Common.css and not Vector.css.

Change 182658 had a related patch set uploaded (by Amire80):
Fix the overlay caret position for RTL

https://gerrit.wikimedia.org/r/182658

Patch-For-Review

Amire80 renamed this task from Notifications box is not well located in RTL wikis to [unplanned] Notifications box is not well located in RTL wikis.Jan 4 2015, 11:02 AM
Amire80 added a project: LE-Sprint-81.
Amire80 moved this task from Backlog to In Review on the LE-Sprint-81 board.

Change 182658 merged by jenkins-bot:
Fix the overlay chevron position for RTL

https://gerrit.wikimedia.org/r/182658

Amire80 closed this task as Resolved.Jan 9 2015, 7:07 PM
Amire80 added subscribers: matthiasmullie, EBernhardson.

@Guycn2, thanks for reporting.

@matthiasmullie, @EBernhardson, thanks for reviewing.

This is now fixed, and will deployed in a few days.

Amire80 moved this task from In Review to Done on the LE-Sprint-81 board.Jan 9 2015, 7:58 PM